import type { HighlightOptions, ShikiHighlighter, ShikiOptions } from "./types";
export declare const createHighlighter: Fn<MaybePromise<ShikiHighlighter>>;
export declare const createOptions: Fn<MaybePromise<ShikiOptions>>;
export declare function resolveOptions(shikiOptions: ShikiOptions, highlightOptions?: HighlightOptions): {
    transformers: import("shiki/core").ShikiTransformer[];
    lang: import("shiki/core").StringLiteralUnion<string, string>;
    mergeWhitespaces?: boolean | "never";
    structure?: "classic" | "inline";
    decorations?: import("shiki/core").DecorationItem[];
    colorReplacements?: Record<string, string | Record<string, string>>;
    tokenizeMaxLineLength?: number;
    tokenizeTimeLimit?: number;
    theme: import("shiki/core").StringLiteralUnion<string, string> | import("shiki/core").ThemeRegistrationAny;
    meta?: {
        __raw?: string;
        [key: string]: any;
    };
    unwrap?: boolean;
} | {
    transformers: import("shiki/core").ShikiTransformer[];
    lang: import("shiki/core").StringLiteralUnion<string, string>;
    mergeWhitespaces?: boolean | "never";
    structure?: "classic" | "inline";
    decorations?: import("shiki/core").DecorationItem[];
    colorReplacements?: Record<string, string | Record<string, string>>;
    tokenizeMaxLineLength?: number;
    tokenizeTimeLimit?: number;
    themes?: Partial<Record<string, import("shiki/core").StringLiteralUnion<string, string> | import("shiki/core").ThemeRegistrationAny>> | undefined;
    defaultColor?: import("shiki/core").StringLiteralUnion<"light" | "dark"> | false;
    cssVariablePrefix?: string;
    meta?: {
        __raw?: string;
        [key: string]: any;
    };
    unwrap?: boolean;
    theme: import("shiki/core").StringLiteralUnion<string, string> | import("shiki/core").ThemeRegistrationAny;
} | {
    transformers: import("shiki/core").ShikiTransformer[];
    lang: import("shiki/core").StringLiteralUnion<string, string>;
    mergeWhitespaces?: boolean | "never";
    structure?: "classic" | "inline";
    decorations?: import("shiki/core").DecorationItem[];
    colorReplacements?: Record<string, string | Record<string, string>>;
    tokenizeMaxLineLength?: number;
    tokenizeTimeLimit?: number;
    theme?: import("shiki/core").StringLiteralUnion<string, string> | import("shiki/core").ThemeRegistrationAny | undefined;
    meta?: {
        __raw?: string;
        [key: string]: any;
    };
    unwrap?: boolean;
    themes: Partial<Record<string, import("shiki/core").StringLiteralUnion<string, string> | import("shiki/core").ThemeRegistrationAny>>;
    defaultColor?: import("shiki/core").StringLiteralUnion<"light" | "dark"> | false;
    cssVariablePrefix?: string;
} | {
    transformers: import("shiki/core").ShikiTransformer[];
    lang: import("shiki/core").StringLiteralUnion<string, string>;
    mergeWhitespaces?: boolean | "never";
    structure?: "classic" | "inline";
    decorations?: import("shiki/core").DecorationItem[];
    colorReplacements?: Record<string, string | Record<string, string>>;
    tokenizeMaxLineLength?: number;
    tokenizeTimeLimit?: number;
    themes: Partial<Record<string, import("shiki/core").StringLiteralUnion<string, string> | import("shiki/core").ThemeRegistrationAny>>;
    defaultColor?: import("shiki/core").StringLiteralUnion<"light" | "dark"> | false;
    cssVariablePrefix?: string;
    meta?: {
        __raw?: string;
        [key: string]: any;
    };
    unwrap?: boolean;
};
type Fn<T> = (...args: any[]) => T;
type MaybePromise<T> = T | Promise<T>;
export {};
